Introduction
Organisations and venues
Marketing
Workflows
Going live
Booking
Booking is where you'll be able to create a booking interaction with a certain customer. This is great for applications that offer booking systems to hospitality venues.
Create a Booking
POST
/v1/guests/:guest_id/bookingRequest Body
| Name | Type | Description |
|---|---|---|
amount | Number | Transaction amount in currencies lowest common denominator |
currency | ISO 4217 | |
venue_idrequired | String | The venue ID that the booking is applicable for. You obtain this from /venues path, attribute: id |
event_idrequired | String | The identifier of the booking, usually the ID of your booking within your application. |
statusrequired | 'active' \ | 'arrived' \ |
party_sizerequired | Number | The number of covers for the booking. |
metadata | Object | Optional key-value object containing any other information that is related to the booking. For example, this could contain booking notes of the customer or any allergens. |
starts_atrequired | ISO 8601 | Start date and time of the booking |
ends_atrequired | ISO 8601 | End date and time of the booking |
created_at | String | |
updated_at | String | |
type | String | The type of booking for example "Drinks Room" or "Food Only". |
Updating the Data of a Booking
As bookings over time change for example a party size increases or the status of the booking is updated, you will be able to use the event_id of your booking and resend the <mark style="color:green;">POST</mark> request with the updated data.